CopyHero

Read Store

GET
/api/v1/stores/{id}

Get store by ID only if user is owner or employee.

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Path Parameters

id*Id

Response Body

Successful Response

application/json
  1. response
store_url*Store Url
language*Language
default_push_blueprint_id?integer|null
generated_image_output_format*Generated Image Output Format
Value in"png""webp"
generated_image_webp_quality*Generated Image Webp Quality
Range1 <= value <= 100
id*Id
name?string|null
owner_id*Owner Id
owner*
currency?string|null
domain?string|null
country_code?string|null
image_preview_url?string|null
description?string|null
title?string|null
hbs_template?string|null
json_template?string|null
oauth_completed_at?|null
oauth_scopes?string|null
missing_scopes*array<string>
features*
Example Request
curl -X GET 'https://app.copyhero.app/api/v1/stores/0'
Example Response
{  "store_url": "string",  "language": "string",  "default_push_blueprint_id": 0,  "generated_image_output_format": "png",  "generated_image_webp_quality": 1,  "id": 0,  "name": "string",  "owner_id": 0,  "owner": {    "email": "string",    "is_active": true,    "is_superuser": false,    "full_name": "string",    "sub": "string",    "provider": "auth0",    "last_synced_at": "2019-08-24T14:15:22Z",    "quota": 1000,    "onboarding_completed_at": "2019-08-24T14:15:22Z",    "locale": "en",    "id": 0  },  "currency": "string",  "domain": "string",  "country_code": "string",  "image_preview_url": "string",  "description": "string",  "title": "string",  "hbs_template": "string",  "json_template": "string",  "oauth_completed_at": "2019-08-24T14:15:22Z",  "oauth_scopes": "string",  "missing_scopes": [    "string"  ],  "features": {    "property1": true,    "property2": true  }}